package si.uni_lj.fe.tnuv.pametnabudilka;

import android.content.Context;
import android.util.Log;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.TextView;

import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Calendar;

public class OneSleepAdapter extends BaseAdapter {
    Context context;
    ArrayList<String[]> times_and_disruptors; //shranjeni čas in dolžina spanja
    LayoutInflater inflter;

    public OneSleepAdapter(Context applicationContext, ArrayList<String[]> itemsList) {
        this.context = applicationContext;
        this.times_and_disruptors = itemsList;
        inflter = (LayoutInflater.from(applicationContext));
        Log.i("SleepsAdapter", "started");
    }

    @Override
    public int getCount() {
        return times_and_disruptors.size();
    }

    @Override
    public Object getItem(int i) {
        return null;
    }

    @Override
    public long getItemId(int i) {
        return 0;
    }

    @Override
    public View getView(int i, View view, ViewGroup viewGroup) {
        view = inflter.inflate(R.layout.one_sleep_lv, null);
        TextView disruptor_time = (TextView) view.findViewById(R.id.disruptor_time_TV);
        TextView disruptor_type = (TextView) view.findViewById(R.id.disruptor_type_TV);


        String[] sleep_i = times_and_disruptors.get(i);
        Calendar time = Calendar.getInstance();
        time.setTimeInMillis(Long.valueOf(sleep_i[0]));

        SimpleDateFormat timeFormat = new SimpleDateFormat("H:mm");
        //S sekundami
        //SimpleDateFormat timeFormat = new SimpleDateFormat("H:mm:ss");

        disruptor_time.setText(timeFormat.format(time.getTime()));
        disruptor_type.setText(sleep_i[1]);

        return view;

    }


}

